<!-- quick and dirty dashboard prototype written in brython  -->
<html>

<head>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
        integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
        crossorigin="" />

    <!-- Make sure you put this AFTER Leaflet's CSS -->
    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
        integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
        crossorigin=""></script>
    <script src="https://cdn.jsdelivr.net/npm/leaflet-ant-path@1.3.0/dist/leaflet-ant-path.min.js"></script>
    <script src="assets/leaflet.rotatedMarker.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/brython@3.11.0/brython.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/brython@3.11.0/brython_stdlib.js"></script>
    <script type="text/python" src="/assets/dashboard.py"></script>

    <!-- Using Picnic CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/picnic" />
    <link rel="stylesheet" href="css/custom.css" />
</head>

<body onload="brython()">
    <main>
        <div class="flex">
            <div class="card full two-third-1200">
                <header>Map</header>

                <div id="map"></div>
            </div>

            <div class="flex full third-1200" id="controls">

                <!-- feedback table -->
                <article class="card narrow-card">
                    <header>
                        <div id=conn-status>Feedback</div>
                    </header>
                    <footer>
                        <div id="feedback-data"></div>
                    </footer>
                </article>

                <article class="card full">
                    <header>Messages</header>
                    <footer>
                        <div class="full">
                            <textarea readonly id="txt_log" placeholder="..." rows="15" cols="50"></textarea>
                        </div>
                    </footer>
                </article>
            </div>
        </div>
    </main>
</body>

</html>
